<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_PaRAMRegs Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_PaRAMRegs Struct Reference<br>
<small>
[<a class="el" href="group__Edma3ResMgr.html">EDMA3 Resources Management</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_PaRAMRegs" -->EDMA3 PaRAM Set in User Configurable format.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#b3fbc10843edca5369164bb54f8f1311">opt</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="88f22ecb531e50776a8d39efb07e1f03"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::srcAddr" ref="88f22ecb531e50776a8d39efb07e1f03" args="" -->
volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#88f22ecb531e50776a8d39efb07e1f03">srcAddr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Starting byte address of Source For FIFO mode, srcAddr must be a 256-bit aligned address. <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6b793fb789c2e62244588c1de455d5c3"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::aCnt" ref="6b793fb789c2e62244588c1de455d5c3" args="" -->
volatile unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#6b793fb789c2e62244588c1de455d5c3">aCnt</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of bytes in each Array (ACNT). <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c7a839fc4ec88ef71de0298ae9d0f5c0"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::bCnt" ref="c7a839fc4ec88ef71de0298ae9d0f5c0" args="" -->
volatile unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#c7a839fc4ec88ef71de0298ae9d0f5c0">bCnt</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of Arrays in each Frame (BCNT). <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="476c3a53fd360b0c823c4432ef3da665"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::destAddr" ref="476c3a53fd360b0c823c4432ef3da665" args="" -->
volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#476c3a53fd360b0c823c4432ef3da665">destAddr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Starting byte address of destination For FIFO mode, destAddr must be a 256-bit aligned address. i.e. 5 LSBs should be 0. <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="379c5a7e527a0df8f1a0f3f570370a4a"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::srcBIdx" ref="379c5a7e527a0df8f1a0f3f570370a4a" args="" -->
volatile short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#379c5a7e527a0df8f1a0f3f570370a4a">srcBIdx</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index between consec. arrays of a Source Frame (SRCBIDX) If SAM is set to 1 (via channelOptions) then srcInterArrIndex should be an even multiple of 32 bytes. <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20e706a171712ea04b3f73cfaaa9b388"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::destBIdx" ref="20e706a171712ea04b3f73cfaaa9b388" args="" -->
volatile short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#20e706a171712ea04b3f73cfaaa9b388">destBIdx</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index between consec. arrays of a Destination Frame (DSTBIDX) If DAM is set to 1 (via channelOptions) then destInterArrIndex should be an even multiple of 32 bytes. <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="895743ea8620f21b5ddc2149d2a05c3b"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::linkAddr" ref="895743ea8620f21b5ddc2149d2a05c3b" args="" -->
volatile unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#895743ea8620f21b5ddc2149d2a05c3b">linkAddr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Address for linking (AutoReloading of a PaRAM Set) This must point to a valid aligned 32-byte PaRAM set A value of 0xFFFF means no linking Linking is especially useful for use with ping-pong buffers and circular buffers. <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e7a0840fb53ccfd2ae35e943390bf9f2"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::bCntReload" ref="e7a0840fb53ccfd2ae35e943390bf9f2" args="" -->
volatile unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#e7a0840fb53ccfd2ae35e943390bf9f2">bCntReload</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Reload value of the numArrInFrame (BCNT) Relevant only for A-sync transfers. <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="948163aaedd3fff182f8ba9de03b4091"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::srcCIdx" ref="948163aaedd3fff182f8ba9de03b4091" args="" -->
volatile short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#948163aaedd3fff182f8ba9de03b4091">srcCIdx</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index between consecutive frames of a Source Block (SRCCIDX). <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="14e3f593a8db50dd39fc5379a7fa2b7a"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::destCIdx" ref="14e3f593a8db50dd39fc5379a7fa2b7a" args="" -->
volatile short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#14e3f593a8db50dd39fc5379a7fa2b7a">destCIdx</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index between consecutive frames of a Dest Block (DSTCIDX). <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="88d49983095c65ad1787cc02d56daf27"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::cCnt" ref="88d49983095c65ad1787cc02d56daf27" args="" -->
volatile unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__PaRAMRegs.html#88d49983095c65ad1787cc02d56daf27">cCnt</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of Frames in a block (CCNT). <br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
EDMA3 PaRAM Set in User Configurable format. 
<p>
This is a mapping of the EDMA3 PaRAM set provided to the user for ease of modification of the individual fields. <hr><h2>Field Documentation</h2>
<a class="anchor" name="b3fbc10843edca5369164bb54f8f1311"></a><!-- doxytag: member="EDMA3_RM_PaRAMRegs::opt" ref="b3fbc10843edca5369164bb54f8f1311" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile unsigned int <a class="el" href="structEDMA3__RM__PaRAMRegs.html#b3fbc10843edca5369164bb54f8f1311">EDMA3_RM_PaRAMRegs::opt</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
OPT field of PaRAM Set 
</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
